POST /v1/sms/numbers/verify
Validates the OTP code sent to the phone number and registers it for use

Request Body required

Phone number and verification code

application/json
One of:
Option 1
Option 2
code string REQUIRED
phoneNumber string REQUIRED

Responses

200 OK
application/json
number object
id string
organizationId string
phoneNumber string
verifiedAt string
verifiedBy string
400 Bad Request
curl -X POST 'https://api.example.com/v1/sms/numbers/verify' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/sms/numbers/verify', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/sms/numbers/verify', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/sms/numbers/verify", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "number": {    "id": "<string>",    "organizationId": "<string>",    "phoneNumber": "<string>",    "verifiedAt": "<string>",    "verifiedBy": "<string>"  }}